Skip to main content
POST
/
v2
/
pos
/
{posSystemId}
/
coupon
/
couponCodes
/
lookup
Lookup coupons, by code
curl --request POST \
  --url https://public-api-demo.clearline.me/v2/pos/{posSystemId}/coupon/couponCodes/lookup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json-patch+json' \
  --data '
{
  "posLocationId": "6orMqUyq2Hg3tP",
  "code": "Sl75Ev"
}
'
{
  "data": {
    "couponCodes": [
      {
        "rewardProvider": "TwoReward",
        "code": "<string>",
        "name": "<string>",
        "title": "<string>",
        "pictureUrl": "<string>",
        "availableUntil": "2023-11-07T05:31:56Z",
        "status": "Issued",
        "info": [
          {
            "title": "<string>",
            "items": {}
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Enter JWT Bearer token only in the text input below.

Path Parameters

posSystemId
string
required

POS system identifier

Body

Request

Request model for looking up coupons

posLocationId
string
required

The POS location identifier

Minimum string length: 1
code
string | null

Coupon code

Response

Success

data
object

Response model for looking up coupons